Bug 564943 - FTBFS collectd-4.8.1-3.fc13
FTBFS collectd-4.8.1-3.fc13
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
13
All Linux
high Severity high
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F13FTBFS
  Show dependency treegraph
 
Reported: 2010-02-13 12:23 EST by FTBFS
Modified: 2010-06-03 11:26 EDT (History)
7 users (show)

See Also:
Fixed In Version: collectd-4.8.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-03 11:26:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (512.27 KB, text/plain)
2010-02-13 12:23 EST, FTBFS
no flags Details
build.log (45.14 KB, text/plain)
2010-02-13 12:23 EST, FTBFS
no flags Details
mock.log (955 bytes, text/plain)
2010-02-13 12:23 EST, FTBFS
no flags Details
root.log (704.64 KB, text/plain)
2010-02-13 12:23 EST, FTBFS
no flags Details
build.log (45.31 KB, text/plain)
2010-02-13 12:23 EST, FTBFS
no flags Details
mock.log (963 bytes, text/plain)
2010-02-13 12:23 EST, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-02-13 12:23:36 EST
collectd-4.8.1-3.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:23:40 EST
Created attachment 392613 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:23:41 EST
Created attachment 392614 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:23:42 EST
Created attachment 392615 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:23:45 EST
Created attachment 392616 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:23:46 EST
Created attachment 392617 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:23:47 EST
Created attachment 392618 [details]
mock.log

mock.log for x86_64
Comment 7 Alan Pevec 2010-02-16 15:31:34 EST
owniptc from collectd source tarball fails to compile
and system libiptc is not usable anymore, configure output has:
checking for iptc_init in -liptc... no
from root.log: iptables-devel-1.4.6-2.fc13

In the last good F-13 build it was yes
http://kojipkgs.fedoraproject.org/packages/collectd/4.8.1/3.fc13/data/logs/x86_64/build.log
from root.log: iptables-devel-1.4.5-1.fc12

Not sure why iptc_init is gone from libiptc, but in order to fix this quickly I've added a patch from upstream iptables.git, which fixes owniptc:
https://git.netfilter.org/cgi-bin/gitweb.cgi?p=iptables.git;a=commitdiff_plain;h=51651b64fffc58d4f58d005fa7dc0d9669147c57

Posted to collected list: http://mailman.verplant.org/pipermail/collectd/2010-February/003577.html
Comment 8 Bug Zapper 2010-03-15 10:48:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matt Domsch 2010-06-03 11:26:28 EDT
collectd-4.9.1-2.fc14.src.rpm
builds in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.